Package com.smartgwt.client.types

# Enum PreRenderFormatValues

java.lang.Object
java.lang.Enum<PreRenderFormatValues>
com.smartgwt.client.types.PreRenderFormatValues

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<PreRenderFormatValues>`, `Constable`

public enum PreRenderFormatValues extends Enum<PreRenderFormatValues> implements ValueEnum
Controls which formatting stages are applied to cell values during canvas `ListGrid.preRender` rendering in "data" mode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUSTOM`
  Full formatting pipeline including custom `field.formatCellValue()` and `grid.formatCellValue()` methods.
  `DEFAULT`
  Applies `valueMaps`, `displayField` substitution, `format strings`, and type-specific formatters via `ListGrid.getDefaultFormattedValue()`.
  `NONE`
  Raw record values only (`record[field.name]`).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static PreRenderFormatValues`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PreRenderFormatValues[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final PreRenderFormatValues NONE
    Raw record values only (`record[field.name]`). Fastest ? no formatting overhead.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### DEFAULT

    public static final PreRenderFormatValues DEFAULT
    Applies `valueMaps`, `displayField` substitution, `format strings`, and type-specific formatters via `ListGrid.getDefaultFormattedValue()`. Does not call custom `field.formatCellValue()` or `grid.formatCellValue()`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "default".

  - ### CUSTOM

    public static final PreRenderFormatValues CUSTOM
    Full formatting pipeline including custom `field.formatCellValue()` and `grid.formatCellValue()` methods. Any HTML tags in the result will appear as literal text in the canvas preview, since Canvas 2D cannot render HTML. Slowest option.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "custom".

- ## Method Details

  - ### values

    public static PreRenderFormatValues[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PreRenderFormatValues valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`